Measurement & Automation Explorer Help

July 2021, 370694W-01

Use Measurement & Automation Explorer (MAX) to do the following:

  • Configure your NI hardware and software
  • Back up or replicate configuration data
  • Create and edit channels, tasks, interfaces, scales, and virtual instruments
  • Execute system diagnostics
  • View devices and instruments connected to your system
  • Update your NI software

For more information, refer to the following topics:

Legal Information

NI Services

© 2004–2021 National Instruments Corporation. All rights reserved.

Refer to the <National Instruments>\_Legal Information directory for information about NI copyright, patents, trademarks, warranties, product warnings, and export compliance.


MAX Overview

Measurement & Automation Explorer (MAX) provides access to your NI devices and systems.

With MAX, you can:

  • Configure your NI hardware and software
  • Create and edit channels, tasks, interfaces, scales, and virtual instruments
  • Execute system diagnostics
  • View devices and instruments connected to your system
  • Update your NI software

In addition to the standard tools, MAX can expose item-specific tools you can use to configure, diagnose, or test your system, depending on which NI products you install. As you navigate through MAX, the contents of the application menu and toolbar change to reflect these new tools.

General information on each of the menu items is as follows. For device-specific help, please refer to the device help in the Help menu.

  • File Menu
  • Edit Menu
  • View Menu
  • Tools Menu
  • Help Menu
  • General Tips


MAX File Menu

The File menu provides the following options:

New»Window—Opens a new Measurement & Automation Explorer (MAX) window.

Save All—Saves all pending changes made in MAX.

Create Report—Starts the MAX Report Wizard. Use this wizard to create a printable report of a local or remote system, including system configuration.

Import—Starts the Configuration Import Wizard. Use this wizard to import configuration data from a file.

Export—Starts the Configuration Export Wizard. Use this wizard to export configuration data to a file.

Exit—Exits MAX.


MAX Edit Menu

The Edit menu provides the following options:

Undo—Reverses the last action. Enabled only if supported by the item selected in the configuration tree.

Redo—Repeats the last undone action. Enabled only if supported by the item selected in the configuration tree.


MAX View Menu

The View menu provides the following options:

Toolbar—Sets the toolbar display options, as follows:

  • Text Labels—Displays toolbar text labels below the toolbar icons.
  • Text on the right—Displays toolbar text labels to the right of the toolbar icons.
  • No Text Labels—Displays the toolbar icons only.

Status Bar—Displays or hides the status bar on the bottom of your MAX window.

Configuration—Displays or hides the MAX configuration tree.

Help Pane—Displays or hides task list embedded help. You can also click the Show Help or Hide Help buttons to perform the same action.

Refresh—Refreshes the MAX configuration tree. You can also press <F5> to refresh the configuration tree.


MAX Tools Menu

The Tools menu provides the following standard options:

NI Network Browser—Launches the NI Network browser, which enables you to detect and configure NI network devices through a web browser.

NI Registration Wizard—Helps you discover and register your NI products to facilitate technical support and ensure you receive important updates. The information you submit will be handled in accordance with the NI Privacy Statement at ni.com/legal.

Real-Time Hypervisor Manager—Configures and manages a Real-Time Hypervisor system. The Real-Time Hypervisor Manager includes an interface for configuring required hypervisor settings, such as interrupt lines and operating system assignments for the hardware devices in the system. For more information about the Real-Time Hypervisor, refer to the Real-Time Hypervisor Help (Start»All Programs»National Instruments»Real-Time Hypervisor»Real-Time Hypervisor Help).

Note Note The Real-Time Hypervisor Manager menu item appears only when this feature is installed.

Create Desktop PC Utility USB Drive—Reformats a USB drive with a LabVIEW Real-Time boot USB utility on a boot-capable Desktop PC.

Reset Configuration Data—Resets all NI configuration data on the system.

Caution Caution You must restart the system before you use NI products. If you do not restart after you select the Reset Configuration Data operation, your NI products could be damaged.

In addition to the standard tools, MAX can expose item-specific tools you can use to configure, diagnose, or test your system, depending on which NI products you install. As you navigate through MAX, the contents of the application menu change to reflect these new tools.


MAX Help Menu

The Help menu provides the following options:

MAX Help—Opens the main help file. You can also press <F1> to access the help file.

Help Topics—Provides access to installed MAX help topics. Help topics vary, depending on which NI products you install.

NI on the Web—A link to Internet resources on ni.com, such as technical support pages and a website search engine.

Technical Support—Provides information about and links to MAX technical support resources.

System Information—Provides a snapshot of your system, with information such as operating system version, processor information, RAM amount, and installed NI software. You can click the Copy All button to copy the information to your clipboard so that you can then paste it into a document.

Check for Updates—Launches the NI Update Service, which helps you check for newer product versions or updates. Use NI Update Service to update your measurement system quickly and easily.

Patents—Displays patent information for NI products.

About—Opens the About Measurement & Automation Explorer dialog box, which displays the program name, version, and copyright statement.

In addition to the standard tools, MAX can expose special tools you can use to help configure, diagnose, or test your system, depending on which NI products you install. As you navigate through MAX, the contents of the application menu and toolbar change to reflect these new tools.


Tips for Using MAX

MAX Tips

Use the following tips to enhance your MAX experience:

  • Refreshing a View–Select the View»Refresh menu item or press <F5> to refresh a view after installing a new interface or device. Most devices and interfaces refresh automatically.
  • Using Multiple Views–Click and drag an item view tab outside of the MAX interface to undock the tab and see multiple item views at once. An item view is the tabbed middle window that appears when you click on a device in the left-hand configuration tree. This view usually displays configuration settings for the device. To return the tabbed window to its original position, close the tab or drag it near the item view.
  • Pinning Views–Click the pin icon [image] in the toolbar of an undocked, floating item view to keep it from closing as you browse to other items in the configuration tree.
  • Viewing Help–Toggle the help pane on and off with the Show/Hide Help button that appears directly above the help window. You can also click the Float button [image] above the help pane to move it outside of the MAX interface. To return the help pane to its original position, click the Float button again.
  • Configuring Multiple Devices at Once–Create a new MAX window (File»New»Window menu item) or pin a view if you want to configure more than one device or system at once.
  • Selecting Multiple Tree Items–Select multiple items in the configuration tree by holding the <Ctrl> or <Shift> as you make your selections. The right-hand view goes blank as you select multiple items.

    If your selected group of items supports using batched commands, toolbar buttons appear and you can right-click on one of the selected items to obtain a context menu. Otherwise, the toolbar remains blank and no context menu appears. Batched commands allow you to perform the same operation on multiple items at once.

MAX Categories

There are six typical categories in MAX, as follows:

  • Data Neighborhood—Use this selection to create virtual channels, tags, and aliases to your channels or measurements configured in Devices and Interfaces.
  • Devices and Interfaces—Use this selection to configure resources and other physical properties of your devices and interfaces.
  • Scales—Use this selection to set up simple operations to perform on your acquired data.
  • Software—Use this selection to view, launch, and update your installed NI software.
  • IVI—Use this selection to configure your IVI Instruments (IVI 1.x) or IVI Drivers (IVI 2.0 and later).
  • Remote Systems—Use this selection to view and configure devices and systems connected over Ethernet.


Adding Network Devices

Network Devices contains network and wireless devices available from this system. With Network Devices, you can view and configure devices connected over a network.

What is a network device?

A network device is any device that is accessible over a network or wireless connection. Such devices may be accessible by multiple computers and do not run a real-time operating system. Network devices are not the same as remote systems. A remote system denotes a real-time target that can be managed or configured over the network while a network device does not run a real-time operating system.

Note Note Only NI-VISA 4.6 and NI-DAQmx 9.0 and later support this feature. Devices that do not support this feature show up directly under Devices and Interfaces.

Adding a network device

If your Network Device is not displayed in this list, click Add Network Device and select the type of device you want to add. Complete the wizard to add your Network Device to MAX.

Note Note To add to MAX devices that do not support the Network Devices feature, right-click on Devices and Interfaces and select Create New.

For more information about installing your network device, refer to the hardware documentation for your system.


Device Calibration

You can use the External Calibration and Self-Calibration sections on the Systems Settings tab to view basic calibration information for your device.

Note Calibration properties are read-only if your device does not support writable calibration in MAX.

External Calibration

External calibration must be performed using high-precision external standards. The following steps occur when you perform an external calibration on the device.

  1. The performance of the device is measured against the high-precision external standards.
  2. If the device is performing outside the specified range as determined by the external standards, an adjustment is made. During an adjustment, new calibration constants are stored in a protected area of the device memory and cannot be modified by a user, which protects the traceability of the calibration.
  3. After the adjustment, the device is remeasured against the high-precision external standards.

External calibration must be performed by a metrology laboratory or another facility that maintains traceable calibration standards. For more information, visit ni.com/calibration.

Note Note If calibration on the device is password protected, you must enter the calibration password to save any modifications to Calibration Date and Calibration Due Date.
  • Calibration Date—Specifies the date of the last external calibration of this device.
  • Calibration Due Date—Enter the date that this product is due for calibration. For new products, the recommended calibration interval begins when you receive the product. If your device does not support writable calibration, MAX displays the recommended date for the next calibration in Recommended Next Calibration.
  • Device Temperature—Displays the temperature of the device during the last adjustment as measured by an onboard temperature sensor. This value is set automatically when an adjustment is made.
  • Change Password—Displays a dialog box that allows you to change the calibration password for the device.

Self-Calibration

Self-calibration adjusts the calibration constants with respect to an onboard reference stored on the device. You can perform a self-calibration at any time to adjust the device for use in environments other than those in which the device was externally calibrated.

The new self-calibration constants are defined with respect to the calibration constants created by an adjustment made during an external calibration to ensure that the measurements are traceable to these external standards. Adjusting the self-calibration constants does not affect the constants created during an external calibration because they are stored in a different area of the device memory.

  • Calibration Date—Displays the date of the last self-calibration of this device.
  • Device Temperature—Displays the temperature of the device during the last self-calibration as measured by an onboard temperature sensor.


Using the MAX Report Wizard

Use the MAX Report Wizard to document your system or a remote system or to generate a system information report for technical support. You can include in the report all configuration information viewable in MAX and some information not viewable directly from the MAX configuration tree, such as global product settings, software information, and calibration information. The level of configuration detail included for each item depends on the item's driver software.

Configuration Reports

To generate a configuration report, launch the MAX Report Wizard (File»Create Report menu selection) and complete the following steps:

  1. Select the level of detail you want in your report, either Simple report or Custom report. A simple report consists of just the MAX tree item names and icons. In a custom report, you can select the items you want to document and receive a more detailed report for those items.
    Note The amount of detail you see in the report depends on whether each installed product supports this feature. If a product does not support report generation, then the report generates only a basic list of devices, even if you select Custom report.
  2. Select the system from which you want a report, either the local system or a remote system. You can select only one system at a time. You can also enter the IP address of a remote system. Click Next.
  3. Select which items you want to include in the report. Click Next.
  4. Specify the location of the generated files. The MAX Report Wizard remembers the last location entered. If this is the first time you have run the MAX Report Wizard, the location defaults to the Documents\MAX directory.
    Note Your filename must have either a .htm or .html file extension.
  5. Click Next to generate the report. Depending on the complexity of the selected system, the MAX Report Wizard may take a few minutes to complete.
  6. A final dialog displays information about what files were generated. Click Finish to close the wizard and launch the report in your default browser. Remove the checkmark from View report after the wizard exits if you do not want to view the report immediately after closing the wizard.

    If you want to modify the report, you can edit the HTML or copy and paste it into another editor.
    Tip To save the report in one file, open the report in Internet Explorer and select the File»Save As menu item. Select Web Archive, single file (*mht) in the Save as Type selection box and click Save. You can open the resulting file in Internet Explorer only.

System Information Reports

To generate a system information report for technical support, launch the MAX Report Wizard (File»Create Report) and select Technical support report.

The wizard creates a compressed file that contains the generated report as well as any other files you want to include.


System Configuration API Function Reference

The System Configuration application programming interface (API) supports three different application development environments (ADEs): LabVIEW, LabWindowsTM/CVITM, and Microsoft Visual Studio .NET.

Note Note The level of support for these APIs depends on each product's driver software.

The System Configuration API replaces the MAX Configuration API and greatly expands it. This API contains VIs and functions for saving system configurations and creating system configuration reports, plus new VIs and functions for discovery of devices in your system. This API also contains VIs to discover, configure, and install software to your remote systems.

System Configuration API Help File Locations

Refer to the following locations on your computer for the help file for each ADE:

Platform | Location after Installation
LabVIEW | <LABVIEW>/help/nisyscfg.chm
LabWindows/CVI | <National Instruments>/Shared/CVI/nisyscfg/nisyscfgCVI.chm
Microsoft Visual Studio .NET | <MeasurementStudio>/Help/NINETSystemConfig.hxs

Note To obtain these help files, you must first install the ADE and then select to install the appropriate ADE support when installing MAX from the NI Device Drivers media.


Troubleshooting

Use the following topics to troubleshoot issues in MAX.

  • I get a MAX Database Connection Error when I launch MAX
  • My device does not appear in MAX
  • My target returns the status Inconsistent IP Settings
  • Windows Firewall
  • Viewing Error Logs
  • Desktop PC Utility USB Drive


Desktop PC Utility USB Drive

The Desktop PC Utility USB Drive lets you perform maintenance operations on a USB-capable desktop PC with LabVIEW Real-Time installed on its hard drive.

Notes
  • You must use a bootable USB device.
  • You must have Administrator privileges on the host computer in order to create this utility.

Complete the following steps to create the Desktop PC Utility USB Drive from your host PC or PXI system:

  1. Plug a USB drive into a USB port.
    Note Close all applications and windows that access the USB drive you want to use as the Desktop PC Utility USB Drive. The USB drive must not be in use by any other processes.
  2. From within MAX, select the Tools»Create Desktop PC Utility USB Drive menu item.
  3. Click Yes to confirm that you want to create the Desktop PC Utility USB Drive.
  4. Select the version of the utility you want to use and click OK.
  5. Select the USB drive you want to format as a Desktop PC Utility USB Drive. Click OK.
    Caution Any data on the USB drive will be overwritten.
  6. If necessary, confirm that you are aware that this operation destroys all data on the selected USB drive.

To use the Desktop PC Utility USB drive, plug it into an empty USB port on the desktop PC you use as the remote system. Power on or reset the remote desktop PC.

Note You must set the BIOS of the computer on which you want to use the USB device to allow booting from a USB drive. Set the boot sequence to search for boot files on the USB drive first.

The Desktop PC Utility USB Drive presents the following menu selections:

  1. Boot using software installed on the hard-disk.
    Boots the system using NI Real-Time software installed on the hard drive. If there is no NI Real-Time software installed on the hard drive, the utility boots the system into safe mode to allow software to be installed.
  2. Boot into safe mode.
    Boots the system into safe mode. This selection brings up the minimal set of services necessary to configure the system's network settings and to install software to the system. This mode does not utilize any installed software on the hard drive, so it is useful as a recovery and configuration mode if you are having difficulty booting the software from the hard drive.
  3. Reset network configuration.
    Clears the system's IP address, subnet mask, gateway, and DNS address. When the target is rebooted, it will automatically acquire an IP address if your target supports automatic IP assignment. If your target boots with an IP address of 0.0.0.0, you must reconfigure its network settings.
  4. Clear password.
    Clears the system's password, if one has been set.
  5. Disable LabVIEW Real-Time start-up application.
    If there is a LabVIEW Real-Time start-up application present, this selection prevents the application from running when the system starts up. Once the application has been disabled, you must use the LabVIEW Real-Time development environment to reenable it.
  6. Format hard disk.
    Reformats the system's hard drive to allow you to boot NI Real-Time software directly from the hard drive. This operation will destroy all data currently on the hard drive. The first time the system is booted from the hard disk after it has been formatted, it will boot into safe mode. Targets that support automatic IP address assignment will be assigned an IP address. For targets that do not support automatic IP address assignment, the first time the system boots from the hard drive after it has been formatted, it will boot into safe mode with an IP address of 0.0.0.0. You can then configure the system's network settings and install software to the hard drive.
  7. Evaluate system
    Evaluates a system's hardware configuration to determine whether the system is capable of running NI Real-Time software.
  8. Advanced Ethernet Options
    Allow you to create a whitelist that specifies additional Intel i8254x chipset-based Ethernet devices for the Real-Time operating system to load and use. You must also create a blacklist to specify which devices should not be used.

    Enable the Ethernet whitelist by creating a properly formatted enetwhitelist.ini file in the Real-Time target's c:\ni-rt\system\ethernet directory or in the root directory of a safe-mode USB drive.
    Note Note Not all Intel i8254x chipsets will work, even with the whitelist enabled. To enable the Ethernet whitelist on a safe-mode USB drive, the USB drive must be the only USB device on the Real-Time target at boot time.
  9. Reboot the system
    Reboots the NI Real-Time system.
  10. Backup, Restore, or Replicate the Real-Time system
    Provides options for backing up, restoring, or replicating the NI Real-Time system using the current USB flash drive.


I get a MAX Database Connection error when I launch MAX

There are numerous issues that may cause this error. Complete the following steps to troubleshoot the error.

  • Check your firewall and antivirus settings. You may need log in as an administrator to unblock MAX and the NI System Web Server.
  • Ensure that the NI Configuration Manager service is started.
    1. Log in as a user with administrative privileges.
    2. Select Start»Control Panel»Administrative Tools»Services.
    3. Right-click the NI Configuration Manager service and select Properties from the drop-down menu.
    4. Make sure that the service status is Started. If it is not, use the Start button to start the service.
    5. Restart MAX.
  • If the NI Configuration Manager service does not appear in the Services list, repair the MAX installation.
    1. Select Start»Control Panel»Add or Remove Programs.
    2. Select National Instruments and click Change/Remove.
    3. Select NI Measurement & Automation Explorer from the list and click Repair.

In some rare cases, a MAX Database corruption may be causing this error. For more information about resetting the MAX Database, refer to KnowledgeBase article 4GA9TOQA.


My device does not appear in MAX

Local Devices

Remote Systems

Local Devices

Complete the following steps to troubleshoot a local device that does not appear in MAX.

  • Verify that the device shows up in Windows Device Manager. If it does not, verify the connection between the device and the local system.
  • If your device is listed in Windows Device Manager, verify that you have the correct driver installed. Visit ni.com/drivers to download the latest version of your driver.
  • If you have the correct driver installed, verify that the NI Device Loader service is running.
    1. Log in as a user with administrative privileges.
    2. (Windows 7) Select Start»Control Panel»Administrative Tools»Services. (Windows XP) Select Start»Control Panel»Administrative Tools»Services.
    3. Right-click the NI Device Loader service and select Properties from the drop-down menu.
    4. Make sure that the service status is Started. If it is not, use the Start button to start the service.
  • Select View»Refresh or press the <F5> key to refresh the MAX configuration tree.

Remote Systems

Complete the following steps to troubleshoot a remote system that does not appear in MAX.

  • Select View»Refresh or press the <F5> key to refresh the MAX configuration tree.
  • Verify that the system is on the same subnet as the computer from which you are running MAX.
  • Create a new remote system.


My target returns the status Inconsistent IP Settings

Your target might return an Inconsistent IP Settings status even if the target is connected to the host machine. This occurs when the target's IP address and subnet mask are not in the correct range as specified by the host subnet mask.

(Phar Lap ETS, VxWorks) If the network adapter is set to use DHCP, restart the target with the network cable plugged in to attempt to assign the target a new IP address. If you are using a static IP address, you can fix inconsistent IP settings by manually updating the target IP address to be in the same subnet as the host IP address. For more information about TCP/IP addresses and subnets, refer to the Microsoft Support documentation.

(NI Linux Real-Time) Complete the following steps to reset IP settings on the target.

  1. Press and hold the RESET button on the device for 5 seconds.
  2. Release the RESET button when the STATUS LED turns yellow. This puts the device in safe mode.
  3. Press and hold the RESET button for 5 seconds.
  4. Release the RESET button when the STATUS LED turns yellow. This puts the device in safe mode and resets the IP settings to use DHCP.


Viewing Error Logs

Use the View Error Log selection to view remote system error logs. To access the log from within MAX, right-click your remote system and select View Error Log.


Windows Firewall

If you are using the Windows Firewall, you may notice the following behaviors in MAX:

When you update software on a LabVIEW Real-Time target while the Windows Firewall is enabled, a dialog box may prompt you to allow MAX and the NI System Web Server to receive information over the network. Select Unblock this program so that MAX can communicate with your LabVIEW Real-Time target.

For more information on Microsoft Windows 8 and NI products, visit ni.com/windows8. For more information on Microsoft Windows 7 and NI products, visit ni.com/windows7.

Note You must be logged in with Administrator privileges to enable or disable the ICF or Windows Firewall.


Installed Products

This section displays the help for your installed products. If you do not see your product listed, you can also refer to the Help»Help Topics menu selection to find your product's help file, if one is available.


Legal Information

Limited Warranty

Copyright

Trademarks

Patents

Export Compliance Information

Warning Regarding Use of NI Products


Limited Warranty

This document is provided "as is" and is subject to being changed, without notice, in future editions. For the latest version, refer to ni.com/manuals. NI reviews this document carefully for technical accuracy; however, NI MAKES NO EXPRESS OR IMPLIED WARRANTIES AS TO THE ACCURACY OF THE INFORMATION CONTAINED HEREIN AND SHALL NOT BE LIABLE FOR ANY ERRORS.

NI warrants that its hardware products will be free of defects in materials and workmanship that cause the product to fail to substantially conform to the applicable NI published specifications for one (1) year from the date of invoice.

For a period of ninety (90) days from the date of invoice, NI warrants that (i) its software products will perform substantially in accordance with the applicable documentation provided with the software, and (ii) the software media will be free from defects in materials and workmanship.

If NI receives notice of a defect or non-conformance during the applicable warranty period, NI will, in its discretion: (i) repair or replace the affected product, or (ii) refund the fees paid for the affected product. Repaired or replaced hardware will be warranted for the remainder of the original warranty period or ninety (90) days, whichever is longer. If NI elects to repair or replace the product, NI may use new or refurbished parts or products that are equivalent to new in performance and reliability and are at least functionally equivalent to the original part or product.

You must obtain an RMA number from NI before returning any product to NI. NI reserves the right to charge a fee for examining and testing hardware not covered by the Limited Warranty.

This Limited Warranty does not apply if the defect of the product resulted from improper or inadequate maintenance, installation, repair, or calibration (performed by a party other than NI); unauthorized modification; improper environment; use of an improper hardware or software key; improper use or operation outside of the specification for the product; improper voltages; accident, abuse, or neglect; or a hazard such as lightning, flood, or other act of nature.

THE REMEDIES SET FORTH ABOVE ARE EXCLUSIVE AND THE CUSTOMER’S SOLE REMEDIES, AND SHALL APPLY EVEN IF SUCH REMEDIES FAIL OF THEIR ESSENTIAL PURPOSE.

EXCEPT AS EXPRESSLY SET FORTH HEREIN, PRODUCTS ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND AND NI DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, WITH RESPECT TO THE PRODUCTS, INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR NON-INFRINGEMENT, AND ANY WARRANTIES THAT MAY ARISE FROM USAGE OF TRADE OR COURSE OF DEALING. NI DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF OR THE RESULTS OF THE USE OF THE PRODUCTS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. NI DOES NOT WARRANT THAT THE OPERATION OF THE PRODUCTS WILL BE UNINTERRUPTED OR ERROR FREE.

In the event that you and NI have a separate signed written agreement with warranty terms covering the products, then the warranty terms in the separate agreement shall control.


Export Compliance Information

Refer to the Export Compliance Information at ni.com/legal for the NI global trade compliance policy and how to obtain relevant HTS codes, ECCNs, and other import/export data.


Copyright

Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.

NI respects the intellectual property of others, and we ask our users to do the same. NI software is protected by copyright and other intellectual property laws. Where NI software may be used to reproduce software or other materials belonging to others, you may use NI software only to reproduce materials that you may reproduce in accordance with the terms of any applicable license or other legal restriction.

End-User License Agreements and Third-Party Legal Notices

You can find end-user license agreements (EULAs) and third-party legal notices in the following locations:

  • Notices are located in the <National Instruments>\_Legal Information and <National Instruments> directories.
  • EULAs are located in the <National Instruments>\Shared\MDF\Legal\license directory.
  • Review <National Instruments>\_Legal Information.txt for information on including legal information in installers built with NI products.

U.S. Government Restricted Rights

If you are an agency, department, or other entity of the United States Government ("Government"), the use, duplication, reproduction, release, modification, disclosure or transfer of the technical data included in this manual is governed by the Restricted Rights provisions under Federal Acquisition Regulation 52.227-14 for civilian agencies and Defense Federal Acquisition Regulation Supplement Section 252.227-7014 and 252.227-7015 for military agencies.

IVI Foundation Copyright Notice

Content from the IVI specifications reproduced with permission from the IVI Foundation.

The IVI Foundation and its member companies make no warranty of any kind with regard to this material, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The IVI Foundation and its member companies shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this material.


Trademarks

Refer to the NI Trademarks and Logo Guidelines at ni.com/trademarks for more information on NI trademarks.

ARM, Keil, and µVision are trademarks or registered of ARM Ltd or its subsidiaries.

LEGO, the LEGO logo, WEDO, and MINDSTORMS are trademarks of the LEGO Group.

TETRIX by Pitsco is a trademark of Pitsco, Inc.

FIELDBUS FOUNDATION™ and FOUNDATION™ are trademarks of the Fieldbus Foundation.

EtherCAT® is a registered trademark of and licensed by Beckhoff Automation GmbH.

CANopen® is a registered Community Trademark of CAN in Automation e.V.

DeviceNet™ and EtherNet/IP™ are trademarks of ODVA.

Go!, SensorDAQ, and Vernier are registered trademarks of Vernier Software & Technology. Vernier Software & Technology and vernier.com are trademarks or trade dress.

Xilinx is the registered trademark of Xilinx, Inc.

Taptite and Trilobular are registered trademarks of Research Engineering & Manufacturing Inc.

FireWire® is the registered trademark of Apple Inc.

Linux® is the registered trademark of Linus Torvalds in the U.S. and other countries.

Handle Graphics®, MATLAB®, Simulink®, Stateflow®, and xPC TargetBox® are registered trademarks, and Simulink Coder™, TargetBox™, and Target Language Compiler™ are trademarks of The MathWorks, Inc.

Tektronix®, Tek, and Tektronix, Enabling Technology are registered trademarks of Tektronix, Inc.

The Bluetooth® word mark is a registered trademark owned by the Bluetooth SIG, Inc.

The ExpressCard™ word mark and logos are owned by PCMCIA and any use of such marks by National Instruments is under license.

The mark LabWindows is used under a license from Microsoft Corporation. Windows is a registered trademark of Microsoft Corporation in the United States and other countries.

Other product and company names mentioned herein are trademarks or trade names of their respective companies.

An NI Partner is a business entity independent from NI and has no agency, partnership, or joint-venture relationship with NI.


Patents

For patents covering the NI products/technology, refer to the appropriate location: Help»Patents in your software, the patents.txt file on your media, or the Patent Notice at ni.com/patents.


WARNING REGARDING USE OF NATIONAL INSTRUMENTS PRODUCTS

WARNING REGARDING USE OF NATIONAL INSTRUMENTS CORPORATION PRODUCTS

YOU ARE ULTIMATELY RESPONSIBLE FOR VERIFYING AND VALIDATING THE SUITABILITY AND RELIABILITY OF THE PRODUCTS WHENEVER THE PRODUCTS ARE INCORPORATED IN YOUR SYSTEM OR APPLICATION, INCLUDING THE APPROPRIATE DESIGN, PROCESS, AND SAFETY LEVEL OF SUCH SYSTEM OR APPLICATION.

PRODUCTS ARE NOT DESIGNED, MANUFACTURED, OR TESTED FOR USE IN LIFE OR SAFETY CRITICAL SYSTEMS, HAZARDOUS ENVIRONMENTS OR ANY OTHER ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, INCLUDING IN THE OPERATION OF NUCLEAR FACILITIES; AIRCRAFT NAVIGATION; AIR TRAFFIC CONTROL SYSTEMS; LIFE SAVING OR LIFE SUSTAINING SYSTEMS OR SUCH OTHER MEDICAL DEVICES; OR ANY OTHER APPLICATION IN WHICH THE FAILURE OF THE PRODUCT OR SERVICE COULD LEAD TO DEATH, PERSONAL INJURY, SEVERE PROPERTY DAMAGE OR ENVIRONMENTAL HARM (COLLECTIVELY, "HIGH-RISK USES"). FURTHER, PRUDENT STEPS MUST BE TAKEN TO PROTECT AGAINST FAILURES, INCLUDING PROVIDING BACK-UP AND SHUT-DOWN MECHANISMS. NI EXPRESSLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS OF THE PRODUCTS OR SERVICES FOR HIGH-RISK USES.


MAX Technical Support

You can create two kinds of reports in MAX—configuration reports for documenting a selected system and system information reports for technical support purposes.

Configuration Reports

Create a configuration report by launching the MAX Report Wizard (File»Create Report) and selecting Simple or Custom. This wizard creates an HTML-based report of your selected system's configuration. Refer to Using the MAX Report Wizard for more information.

System Information Reports

You can create System Information Reports for technical support by launching the MAX Report Wizard (File»Create Report) and selecting Technical Support. You can include these reports when you use the Web-based NI Technical Support/Request Support service to expedite the resolution of your issue. Refer to Using the MAX Report Wizard for more information.

Technical Support Resources

To check for software updates, visit Drivers and Updates. For more information about NI technical support and professional services, refer to Technical Support Resources.


NI Services

NI provides global services and support as part of our commitment to your success. Take advantage of product services in addition to training and certification programs that meet your needs during each phase of the application life cycle; from planning and development through deployment and ongoing maintenance.

To get started, create an account or log in to your MyNI user profile at ni.com/myproducts and register your product.

As a registered NI product user, you are entitled to the following benefits:

  • Access to applicable product services.
  • Easier product management with an online account.
  • Receive critical part notifications, software updates, and service expirations.

Services and Resources

  • Maintenance and Hardware Services—NI helps you identify your systems' accuracy and reliability requirements and provides warranty, sparing, and calibration services to help you maintain accuracy and minimize downtime over the life of your system. Visit ni.com/services for more information.
    • Warranty and Repair—All NI hardware features a one-year standard warranty that is extendable up to five years. NI offers repair services performed in a timely manner by highly trained factory technicians using only original parts at a NI service center.
    • Calibration—Through regular calibration, you can quantify and improve the measurement performance of an instrument. NI provides state-of-the-art calibration services. If your product supports calibration, you can obtain the calibration certificate for your product at ni.com/calibration.
  • System Integration—If you have time constraints, limited in-house technical resources, or other project challenges, the NI Partner Network can help. To learn more, call your local NI office or visit ni.com/partners.
  • Training and Certification—The NI training and certification program is the most effective way to increase application development proficiency and productivity. Visit ni.com/training for more information.
    • The Skills Guide assists you in identifying the proficiency requirements of your current application and gives you options for obtaining those skills consistent with your time and budget constraints and personal learning preferences. Visit ni.com/skills-guide to see these custom paths.
    • NI offers courses in several languages and formats including instructor-led classes at facilities worldwide, courses on-site at your facility, and online courses to serve your individual needs.
  • Technical Support—Support at ni.com/support includes the following resources:
    • Self-Help Technical Resources—Visit ni.com/support for software drivers and updates, a searchable KnowledgeBase, product manuals, step-by-step troubleshooting wizards, thousands of example programs, tutorials, application notes, instrument drivers, and so on. Registered users also receive access to the NI Discussion Forums at ni.com/forums. NI Applications Engineers make sure every question submitted online receives an answer.
    • Software Support Service Membership—The Standard Service Program (SSP) is a renewable one-year subscription included with almost every NI software product, including NI Developer Suite. This program entitles members to direct access to NI Applications Engineers through phone and email for one-to-one technical support, as well as exclusive access to online training modules at ni.com/self-paced-training. NI also offers flexible extended contract options that guarantee your SSP benefits are available without interruption for as long as you need them. Visit ni.com/ssp for more information.
  • Declaration of Conformity (DoC)—A DoC is our claim of compliance with the Council of the European Communities using the manufacturer's declaration of conformity. This system affords the user protection for electromagnetic compatibility (EMC) and product safety. You can obtain the DoC for your product by visiting ni.com/product-certifications.

For information about other technical support options in your area, visit ni.com/services or contact your local office at ni.com/contact.

You can also visit the Worldwide Offices section of ni.com/niglobal to access the branch office websites, which provide up-to-date contact information, support phone numbers, email addresses, and current events.


Javascript is disabled.


VI Logger

VI Logger is a software utility that you can use to define and execute datalogging tasks. With VI Logger, you can do the following:

  • Create a new VI Logger task
  • Modify a VI Logger task
  • Run a VI Logger task
  • View data during acquisition and logging
  • View logged data

Your version of VI Logger is not compatible with this version of MAX. To upgrade VI Logger to version 1.0.2, install the patch available at ftp://ftp.ni.com/support/vilogger/upgrades/1.0.2/.


Data Neighborhood

Data Neighborhood provides access to descriptively named shortcuts to configured physical channels in your system. These shortcuts can include CAN messages, NI-DAQ virtual channels and tasks, and FieldPoint items.

What do you want to do?

Create a new shortcut

To create a new shortcut, right-click Data Neighborhood and select Create New. The options that appear depend on which NI products you have installed.

Test or remove a shortcut

Typically, you can right-click these shortcuts to perform these tasks, depending on the NI product you have installed.

View or change properties

Typically, you can right-click these shortcuts in the configuration tree and select Properties or adjust the properties in the item view, depending on your software.

For more information about using Data Neighborhood with your NI product, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Devices and Interfaces

Devices and Interfaces lists installed and detected CAN, DAQ, FieldPoint Serial Controllers, GPIB, IVI, Motion, Serial, VISA, Vision, and VXI hardware.

If you do not see your devices...

You have not refreshed the configuration tree

Press <F5> or choose View»Refresh.

Your device may not be Windows Plug and Play compatible

View the configuration help file for your device from the Help»Help Topics menu or the instructions below for additional information about adding these types of devices.

What do you want to do?

Configure an existing device

To configure an existing NI device, right-click the device name in the configuration tree and select Configure, click the Configure button [image] in the toolbar, or adjust the properties in the item view, depending on your software.

Add a non-Plug and Play device

Some devices are not Windows Plug and Play compatible, so they do not automatically appear in the Devices and Interfaces list. Other devices may reside in another computer on your network. To add non-Plug and Play devices, right-click Devices and Interfaces in the configuration tree and select Create New. Complete the wizard.

If you still do not see your installed device, refer to the getting started information included with your hardware and to the MAX product-specific help (Help»Help Topics) to verify that your device is properly installed and for configuration information. If you are certain that your device is correctly installed, visit the support website for your device:

CAN | DAQ | FieldPoint
GPIB | IVI | Modular Instruments
Motion | NI Switch Executive | NI Vision
Serial | VISA | VXI

For more information about using your NI product in MAX, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Historical Data

Historical Data provides access to all your databases and to your logged data, or data views.

What do you want to do?

View data

To view and manage your databases and data views, expand Historical Data in the configuration tree. Your databases appear in the Databases view when you select Citadel 5 Universe. Your data views appear beneath Citadel 5 Universe.

Create a database

To create a new empty database, right-click Historical Data and select Create New. Select Citadel 5 Database from the Create New wizard and click Next. Follow the instructions to create a new database, then click Finish. Your new database appears in the Databases view when you select Citadel 5 Universe under the Historical Data category.

Convert a Citadel 4 database to Citadel 5 format

To convert a Citadel 4 version database to Citadel 5 version format, right-click Historical Data and select Create New. Select Convert Citadel 4 Database to Citadel 5 from the Create New wizard and click Next. Follow the instructions to select the database you want to convert and the location for the converted database, then click Finish.

Delete a database

To delete a database, right-click the database in the Databases view and select Detach/Delete. Select Delete in the Detach/Delete Databasedialog box and click OK.

Create a new data view

To create a new data view, right-click Citadel 5 Universe and select New»Alarms/Events View or New»Trace View. Your new data view appears in the configuration tree under Citadel 5 Universe.

View Citadel 4 Data

Refer to the Historical Data Viewer Help and item help for Citadel 4 views and databases for more information about viewing Citadel 4 data. To open the Historical Data Viewer Help, select Help»Help Topics»Historical Data Viewer.

For more information, refer to the Historical Data Viewer Help, which you can access from the Help»Help Topics»Historical Data Viewer menu.


IVI

The IVI category provides access to the Logical Name Wizard and all your IVI logical names. A logical name is a reference to a particular virtual instrument.

What do you want to do?

Create a logical name for your virtual instrument

To create a logical name for your virtual instrument, expand the IVI category. Right-click the Logical Names item in the configuration tree and select Insert. Complete the wizard.

Tip To create new IVI logical names, virtual instruments, instrument drivers, and devices, right-click an item and select Insert. For example, to create a new instrument driver, right-click the Instrument Drivers item in the configuration tree and select Insert, which opens the Logical Name Wizard at the Specific Driver section.

Modify existing virtual instrument properties

To configure an existing virtual instrument, select the Virtual Instruments item in the configuration tree. All previous virtual instruments appear in the item view to the right of the configuration tree. Right-click a virtual instrument in the item view and select Properties.

Swap instruments

To swap an instrument, select the Logical Names item in the configuration tree. In the item view, right-click the logical name of the instrument you want to swap and select Properties. In the dialog box, click the Change button to create or select the virtual instrument for the new physical instrument.


NI Measurement & Automation Explorer

Measurement & Automation Explorer (MAX) provides access to your NI products.

What do you want to do?

Manage my devices and interfaces

Select Devices and Interfaces in the configuration tree to the left. If you need help installing your device, refer to the getting started information included with your NI hardware.

Manage my installed NI software

Select Software in the configuration tree to the left.

Manage virtual channels or tasks for my devices

Select Data Neighborhood in the configuration tree to the left.

Create scales for my virtual instruments

Select Scales in the configuration tree to the left.

Configure my IVI instrument drivers

Select IVI in the configuration tree to the left.

Import/export my device configuration file.

Select the File»Import or File»Export menu item to import or export configuration files. Some devices are not supported. Refer to your product-specific documentation.

Note Some categories are device specific. For example, the IVI category appears only if you have IVI installed.

For more information about using MAX, select available help categories from the Help menu. If you need further assistance or want to know more about your device, visit the NI Technical Support website.

For more information about this version of MAX, launch the readme or visit ni.com/info and enter the following Info Codes:

  • SysCfgFixList—Improvements and bug fixes
  • SysCfgKnownIssues—Known issues


Scales

Scales provides access to all scales you have configured to perform operations on acquired data.

What do you want to do?

Create a new custom scale

To create a new custom scale, right-click Scales in the configuration tree and select Create New.

Remove a scale

To remove a scale from your configuration, right-click the scale name in the configuration tree and select Delete.

View or change scale properties

To view or change scale properties, right-click the scale name in the configuration tree and select Properties or adjust the properties in the item view, depending on your software.

For more information about using scales with your NI product, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Software

Software allows you to view, launch, and update your installed NI software.

What do you want to do?

View my software information

Expand the Software category in the configuration tree.

Launch my software

Right-click the product name in the configuration tree and select Launch.

Add, change, or remove software

Click the Change/Remove Software button to launch a utility for modifying or uninstalling NI software.

Check for software updates

Right-click Software in the configuration tree and select Get Software Updates. NI Update Service searches the NI website for new releases or updates to your software and returns search results. From the list, you can decide which software to download and install. You can also update your software from the Help menu or from the Software category node.

If you do not see your software listed in NI Update Service and want to check for updates, visit the Drivers and Updates page at ni.com/updates.

For more information about your NI product, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


VI Logger

VI Logger is a software utility that you can use to define and execute datalogging tasks. The Lite package of VI Logger provides basic datalogging and acquisition tools for NI-DAQmx devices. The Full package of VI Logger includes additional features for NI-DAQmx, Traditional NI-DAQ (Legacy), and FieldPoint devices.

What do you want to do?

Create a new VI Logger task

To create a new VI Logger task, right-click VI Logger Tasks in the MAX configuration tree and select Create New. From the Create New dialog box, select the type of device you want to use with the task: Using NI-DAQmx, Using Traditional NI-DAQ, or Using FieldPoint. Click the Finish button. The newly created task appears beneath VI Logger Tasks in the configuration tree. Use the Task Attributes view and the DAQmx, Virtual, or FieldPoint Channels view to configure the task settings.

Modify a VI Logger task

To modify a task, select the task that you want to modify in the configuration tree to display the tabbed VI Logger window for that task. You can edit stop and start conditions, logging conditions, or data export settings. Click the Save task button or run the task to save your changes.

Run a VI Logger task

Use the controls in the Task Attributes view to set acquisition and logging conditions for the VI Logger task. To run the task, select the task from the configuration tree and click the Run task button in the toolbar. If you do not specify stop conditions for a task, the task runs until you manually click the Stop task button.

View data during acquisition and logging

Use the Real Time Data view to view data graphically while a VI Logger task runs. Use the LED indicator [image] in the upper left corner of the Real Time Data view to switch from viewing real-time data to viewing historical data. Click the red light to pause the graph so you can scroll through the historical data. Click the green light to return to viewing real-time data. Use the four arrow buttons above the graph to scroll through the data after VI Logger acquires the data.

View logged data

After you have logged data, VI Logger saves the data to a task run, which appears beneath the associated task in the configuration tree. The default name for the task run is the date and time that datalogging started. Click the task run you want to view. Use the Historical Data view to display a graph of the data from the task run. Use the four arrow buttons above the graph to scroll through the logged data.

Activate the Full package from the Lite package of VI Logger

From the Lite package, select Tools»VI Logger»Activate All VI Logger 2.0 Features. From the dialog box, click the Purchase License button to display a Web page where you can purchase the software license. Click the Activate License button to activate the software. You must have a valid serial number to activate the Full package of VI Logger.